Bug 1201432 - EL7 packages trying to be applied in Errata for an EL6 host
Summary: EL7 packages trying to be applied in Errata for an EL6 host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: sthirugn@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 17:08 UTC by Mike McCune
Modified: 2021-04-06 18:02 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:29:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
tzdata errata (135.77 KB, image/png)
2015-04-02 03:52 UTC, sthirugn@redhat.com
no flags Details
unzip errata (135.25 KB, image/png)
2015-04-02 03:53 UTC, sthirugn@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 770 0 Urgent CLOSED - CURRENTRELEASE When applying errata, pulp attempts to install packages to consumer that are not available Never
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Mike McCune 2015-03-12 17:08:53 UTC
1) Host is RHEL 6.5 

2) Shows "RHEA-2015:0141 tzdata enhancement update"

3) Errata details in UI shows:

Packages

    tzdata-2015a-1.el6.noarch
    tzdata-java-2015a-1.el6.noarch 

4) Click apply and on the client you get:

 [ERROR][worker-0] pulp.agent.lib.dispatcher:80 - InstallError: 0:tzdata-2015a-1.el7.noarch: No package(s) available to install

note the .el7

Comment 1 RHEL Program Management 2015-03-12 17:23:19 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Justin Sherrill 2015-03-13 15:33:09 UTC
This appears to be a pulp issue, i was able to reproduce and I believe it is related to https://bugzilla.redhat.com/show_bug.cgi?id=1171278

and here are the logs:

From the pulp server:

Mar 13 11:20:55 abed pulp: pulp.plugins.pulp_rpm.plugins.profilers.yum:INFO: Errata <RHSA-2014:1919> refers to 2 updated rpms of: [{u'src': u'firefox-31.3.0-3.el6_6.src.rpm', u'name': u'firefox', u'sum': [u'sha256', u'a00d71801c1e99693fc4b8b4ce175e24e0d7f5975be6f700c5a733199e0b6bed'], u'filename': u'firefox-31.3.0-3.el6_6.x86_64.rpm', u'epoch': u'0', u'version': u'31.3.0', u'release': u'3.el6_6', u'arch': u'x86_64'}, {u'src': u'firefox-31.3.0-3.el7_0.src.rpm', u'name': u'firefox', u'sum': [u'sha256', u'5479d52b6c6875b812e4f7736c9b6a0b1e7e8107773ac8e978fcfd32953ed11b'], u'filename': u'firefox-31.3.0-3.el7_0.x86_64.rpm', u'epoch': u'0', u'version': u'31.3.0', u'release': u'3.el7_0', u'arch': u'x86_64'}]
Mar 13 11:20:55 abed pulp: pulp.plugins.pulp_rpm.plugins.profilers.yum:INFO: Rpms: <[{u'src': u'firefox-31.3.0-3.el6_6.src.rpm', u'name': u'firefox', u'sum': [u'sha256', u'a00d71801c1e99693fc4b8b4ce175e24e0d7f5975be6f700c5a733199e0b6bed'], u'filename': u'firefox-31.3.0-3.el6_6.x86_64.rpm', u'epoch': u'0', u'version': u'31.3.0', u'release': u'3.el6_6', u'arch': u'x86_64'}, {u'src': u'firefox-31.3.0-3.el7_0.src.rpm', u'name': u'firefox', u'sum': [u'sha256', u'5479d52b6c6875b812e4f7736c9b6a0b1e7e8107773ac8e978fcfd32953ed11b'], u'filename': u'firefox-31.3.0-3.el7_0.x86_64.rpm', u'epoch': u'0', u'version': u'31.3.0', u'release': u'3.el7_0', u'arch': u'x86_64'}]> were found to be related to errata <Unit [key={u'id': u'RHSA-2014:1919'}] [type=erratum] [id=2daa19cd-5647-4f30-b18e-aa47fa6af095]> and applicable to consumer <e256811c-0167-417a-9149-1efd2f9a086f>
Mar 13 11:20:55 abed pulp: pulp.plugins.pulp_rpm.plugins.profilers.yum:INFO: Translated errata <Unit [key={u'id': u'RHSA-2014:1919'}] [type=erratum] [id=2daa19cd-5647-4f30-b18e-aa47fa6af095]> to <[{'unit_key': {u'src': u'firefox-31.3.0-3.el6_6.src.rpm', u'name': u'firefox', u'sum': [u'sha256', u'a00d71801c1e99693fc4b8b4ce175e24e0d7f5975be6f700c5a733199e0b6bed'], u'filename': u'firefox-31.3.0-3.el6_6.x86_64.rpm', u'epoch': u'0', u'version': u'31.3.0', u'release': u'3.el6_6', u'arch': u'x86_64'}, 'type_id': 'rpm'}, {'unit_key': {u'src': u'firefox-31.3.0-3.el7_0.src.rpm', u'name': u'firefox', u'sum': [u'sha256', u'5479d52b6c6875b812e4f7736c9b6a0b1e7e8107773ac8e978fcfd32953ed11b'], u'filename': u'firefox-31.3.0-3.el7_0.x86_64.rpm', u'epoch': u'0', u'version': u'31.3.0', u'release': u'3.el7_0', u'arch': u'x86_64'}, 'type_id': 'rpm'}]>
Mar 13 11:21:01 abed pulp: pulp.server.agent.direct.services:INFO: (26123-24192) Task RMI (succeeded): Succeeded
Mar 13 11:21:01 abed pulp: pulp.server.agent.direct.services:INFO: (26123-24192)   sn : 132a5d7d-f128-4fe9-8811-7474381fbf33
Mar 13 11:21:01 abed pulp: pulp.server.agent.direct.services:INFO: (26123-24192)   origin : None
Mar 13 11:21:01 abed pulp: pulp.server.agent.direct.services:INFO: (26123-24192)   timestamp : 2015-03-13T15:21:01Z
Mar 13 11:21:01 abed pulp: pulp.server.agent.direct.services:INFO: (26123-24192)   user data : {'task_id': '91f0f4b1-c751-4879-a84d-de8a8705c0e0', 'consumer_id': 'e256811c-0167-417a-9149-1efd2f9a086f'}
Mar 13 11:21:01 abed pulp: pulp.server.agent.direct.services:INFO: (26123-24192)   retval:
Mar 13 11:21:01 abed pulp: pulp.server.agent.direct.services:INFO: (26123-24192) {'reboot': {'scheduled': False, 'details': {}}, 'details': {'rpm': {'details': {'message': '0:firefox-31.3.0-3.el7_0.x86_64: No package(s) available to install', 'trace': 'Traceback (most recent call last):\n\n  File "/usr/lib/python2.6/site-packages/pulp/agent/lib/dispatcher.py", line 76, in install\n    report = handler.install(conduit, units, dict(options))\n\n  File "/usr/lib/python2.6/site-packages/pulp_rpm/handlers/rpm.py", line 100, in install\n    details = pkg.install(names)\n\n  File "/usr/lib/python2.6/site-packages/pulp_rpm/handlers/rpmtools.py", line 136, in install\n    raise caught\n\nInstallError: 0:firefox-31.3.0-3.el7_0.x86_64: No package(s) available to install\n'}, 'succeeded': False}}, 'succeeded': False, 'num_changes': 0}


and the client:


handler failed
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/agent/lib/dispatcher.py", line 76, in install
    report = handler.install(conduit, units, dict(options))
  File "/usr/lib/python2.6/site-packages/pulp_rpm/handlers/rpm.py", line 100, in install
    details = pkg.install(names)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/handlers/rpmtools.py", line 136, in install
    raise caught
InstallError: 0:firefox-31.3.0-3.el7_0.x86_64: No package(s) available to install

Comment 4 sthirugn@redhat.com 2015-03-13 16:52:14 UTC
I am able to reproduce it too.

Steps:
1. Import manifest
2. Sync Red Hat Enterprise Linux 6 Server RPMs x86_64 6Server
3. Sync Red Hat Enterprise Linux 7 Server RPMs x86_64 7Server
4. Now try to apply/install an errata
 - Example: RHEA-2015:0141 tzdata enhancement update
 - Make sure to select an errata which is applicable to both 6Server and 7Server otherwise you can't reproduce this error
6. Sat6UI thinks everything went well in the rhel7 content host and task output shows:
Content View: rhel7newcv version 1.1
Added Content:
  Errata:
        RHEA-2015:0141
  Packages:
        tzdata-2015a-1.el7.noarch
        tzdata-java-2015a-1.el7.noarch

rhel7 content host shows: (in /var/log/messages)
[ERROR][worker-0] pulp.agent.lib.dispatcher:80 -   File "/usr/lib/python2.7/site-packages/pulp_rpm/handlers/rpmtools.py", line 136, in install
Mar 13 12:43:15 intel-s3e3432-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:80 -     raise caught
Mar 13 12:43:15 intel-s3e3432-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:80 - InstallError: 0:tzdata-2015a-1.el6.noarch: No package(s) available to install


Result:
- Note that Sat6 thinks that it installed the following in the content host:
tzdata-2015a-1.el7.noarch 
- But actually the rhel7 content host tried to install this and failed:
tzdata-2015a-1.el6.noarch

see the incorrect el7 vs. el6 versions.

Comment 5 Michael Hrivnak 2015-03-16 19:15:39 UTC
Chris will investigate.

Comment 8 Chris Duryee 2015-03-17 16:11:38 UTC
upstream issue is https://pulp.plan.io/issues/770.

Setting BZ status back to NEW since I am tracking this issue upstream now.

Comment 10 Alexander von Gluck IV 2015-03-20 15:33:45 UTC
We're seeing this issue in our production environment. It greatly limits the Satellite servers' functionality to mass apply errata (as any one failing errata means the application will fail). Please resolve!

Comment 12 Mike McCune 2015-03-20 20:49:13 UTC
Tested this with SNAP7-Compose2 and it worked perfectly.  Correct packages were installed.

Comment 13 sthirugn@redhat.com 2015-03-24 19:20:31 UTC
I am not sure how this was verified as per Comment 12 as I am blocked with https://bugzilla.redhat.com/show_bug.cgi?id=1204903

Anyways as a workaround, I tested installing tzdata errata on a rhel6 and rhel7 content hosts and it worked fine. So I am marking this Verified.


Verified.
Satellite-6.1.0-RHEL-7-20150320.1

Comment 14 Brian Bouterse 2015-03-25 18:00:22 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 15 sthirugn@redhat.com 2015-03-26 18:08:14 UTC
Failed in Snap 8 - Satellite-6.1.0-RHEL-7-20150324.0

This is a rhel 7.1 box installed with Snap8 build Satellite-6.1.0-RHEL-7-20150324.0

I tried to apply 'tzdata enhancement update' errata.  The errata packages in UI shows:
tzdata-2015b-1.el7.noarch
tzdata-java-2015b-1.el7.noarch 


I tried to apply this in
- rhel 6.6 content host - passed
tzdata-java-2015b-1.el6.noarch
tzdata-2015b-1.el6.noarch


- rhel 7.1 content host - failed
Mar 26 13:58:45 hp-xw4600-01 NetworkManager[598]: <error> [1427392725.929409] [devices/nm-device.c:2303] activation_source_schedule(): (enp63s0): activation stage already scheduled
Mar 26 13:59:24 hp-xw4600-01 NetworkManager[598]: <error> [1427392764.246575] [devices/nm-device.c:2303] activation_source_schedule(): (enp63s0): activation stage already scheduled
Mar 26 14:00:20 hp-xw4600-01 NetworkManager[598]: <error> [1427392820.126111] [devices/nm-device.c:2303] activation_source_schedule(): (enp63s0): activation stage already scheduled
Mar 26 14:00:27 hp-xw4600-01 goferd: [INFO][worker-0] gofer.rmi.dispatcher:600 - call: Content.install() sn=754bb946-d335-4aa5-bb48-b3ad322baf88 data={u'task_id': u'bf487404-985a-4368-a018-6748433a7958', u'consumer_id': u'71443ecf-1933-4524-884e-621dbd23e55b'}
Mar 26 14:00:29 hp-xw4600-01 NetworkManager[598]: <error> [1427392829.278126] [devices/nm-device.c:2303] activation_source_schedule(): (enp63s0): activation stage already scheduled
Mar 26 14:00:29 hp-xw4600-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:80 - handler failed
Mar 26 14:00:29 hp-xw4600-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:80 - Traceback (most recent call last):
Mar 26 14:00:29 hp-xw4600-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:80 -   File "/usr/lib/python2.7/site-packages/pulp/agent/lib/dispatcher.py", line 76, in install
Mar 26 14:00:29 hp-xw4600-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:80 -     report = handler.install(conduit, units, dict(options))
Mar 26 14:00:29 hp-xw4600-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:80 -   File "/usr/lib/python2.7/site-packages/pulp_rpm/handlers/rpm.py", line 100, in install
Mar 26 14:00:29 hp-xw4600-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:80 -     details = pkg.install(names)
Mar 26 14:00:29 hp-xw4600-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:80 -   File "/usr/lib/python2.7/site-packages/pulp_rpm/handlers/rpmtools.py", line 137, in install
Mar 26 14:00:29 hp-xw4600-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:80 -     raise caught
Mar 26 14:00:29 hp-xw4600-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:80 - InstallError: 0:tzdata-2015b-1.el7.noarch: No package(s) available to install
Mar 26 14:00:29 hp-xw4600-01 goferd: [INFO][worker-0] gofer.agent.rmi:128 - sn=754bb946-d335-4aa5-bb48-b3ad322baf88 processed in: 3.124 (seconds)
Mar 26 14:00:35 hp-xw4600-01 NetworkManager[598]: <error> [1427392835.466311] [devices/nm-device.c:2303] activation_source_schedule(): (enp63s0): activation stage already scheduled

Comment 16 Justin Sherrill 2015-03-27 16:44:02 UTC
So this should not be failQA, as you can see from the traceback it attempted to apply an el7 package to an el7 system.  The basic premise of the bug is that an el7 package was applied to an el6 host (or vice versa). 

Since you had applied via incremental update, my guess is that the cause was this bz:  https://bugzilla.redhat.com/show_bug.cgi?id=1200142   which is verified but I saw no evidence that it should have been (based on the client not having expire_metadata set to 0).

Comment 17 Brian Bouterse 2015-03-27 18:30:22 UTC
The Pulp upstream bug status is at VERIFIED. Updating the external tracker on this bug.

Comment 18 sthirugn@redhat.com 2015-03-30 13:35:57 UTC
Agreed with Comment 16.  The real issue is with https://bugzilla.redhat.com/show_bug.cgi?id=1200142#c9.  But I will retest and verify this bug once https://bugzilla.redhat.com/show_bug.cgi?id=1200142 is fixed.

Comment 19 Mike McCune 2015-04-01 04:44:17 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1200142 is MODIFIED, moving this as well

Comment 21 sthirugn@redhat.com 2015-04-02 03:51:01 UTC
Verified.

Verification steps:
1. I synced rhel 6Server and 7Server repos
2. Apply tzdata errata and verify content host
3. Apply unzip errata and verify content host
(see screenshot)


tzdata errata:
**************
rhel7 content host:
-------------------
Before applying errata:
# rpm -qa | grep tzdata
tzdata-2015a-1.el7.noarch

After applying errata:
# rpm -qa | grep tzdata
tzdata-2015b-1.el7.noarch


rhel6 content host:
-------------------
Before applying errata:
# rpm -qa | grep tzdata
tzdata-java-2014g-1.el6.noarch
tzdata-2014g-1.el6.noarch


After applying errata:
# rpm -qa | grep tzdata
tzdata-java-2015b-1.el6.noarch
tzdata-2015b-1.el6.noarch



Unzip errata:
*************
rhel7 content host:
-------------------
Before applying errata:
# rpm -qa | grep unzip
unzip-6.0-13.el7.x86_64

After applying errata:
# rpm -qa | grep unzip
unzip-6.0-15.el7.x86_64


rhel6 content host:
-------------------
Before applying errata:
# rpm -qa | grep unzip
unzip-6.0-1.el6.x86_64

After applying errata:
# rpm -qa | grep unzip
unzip-6.0-2.el6_6.x86_64

Comment 22 sthirugn@redhat.com 2015-04-02 03:52:59 UTC
Created attachment 1009937 [details]
tzdata errata

Comment 23 sthirugn@redhat.com 2015-04-02 03:53:42 UTC
Created attachment 1009938 [details]
unzip errata

Comment 24 pulp-infra@redhat.com 2015-05-05 13:30:23 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 25 Bryan Kearney 2015-08-11 13:24:37 UTC
This bug is slated to be released with Satellite 6.1.

Comment 26 errata-xmlrpc 2015-08-12 05:29:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.